| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiSvc::GaudiSvcConf::EventLoopMgr Class Reference

List of all members.

## Detailed Description

Definition at line 1398 of file GaudiSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiSvc::GaudiSvcConf::EventLoopMgr::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 1418 of file GaudiSvcConf.py.

    01418                                                                :
    01419       super(EventLoopMgr, self).__init__(name)
    01420       for n,v in kwargs.items():
    01421          setattr(self, n, v)
      def getDlls( self ):

def GaudiSvc::GaudiSvcConf::EventLoopMgr::getDlls | ( |  | self | ) |

Definition at line 1422 of file GaudiSvcConf.py.

    01422                      :
    01423       return 'GaudiSvc'
      def getType( self ):

def GaudiSvc::GaudiSvcConf::EventLoopMgr::getType | ( |  | self | ) |

Definition at line 1424 of file GaudiSvcConf.py.

    01424                      :
    01425       return 'EventLoopMgr'
      pass # class EventLoopMgr

## Member Data Documentation

dictionary GaudiSvc::GaudiSvcConf::EventLoopMgr::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'AuditServices' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditReInitialize' : False, # bool
        'AuditReStart' : False, # bool
        'TopAlg' : [  ], # list
        'OutStream' : [  ], # list
        'OutStreamType' : 'OutputStream', # str
        'HistogramPersistency' : '', # str
        'EvtSel' : '', # str
        'Warnings' : True, # bool
      }

Definition at line 1399 of file GaudiSvcConf.py.

dictionary GaudiSvc::GaudiSvcConf::EventLoopMgr::_propertyDocDct`[static, private]`

Initial value:

    {
        'Warnings' : """ Set this property to false to suppress warning messages """,
      }

Definition at line 1415 of file GaudiSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiSvc/genConf/GaudiSvc/GaudiSvcConf.py